クリエイターランキング - Eコマース
概要
トップEコマースクリエイターのランキングを取得します。
- フィルターパラメータの設定が可能
- カスタムソート順に対応
API エンドポイント
bash
POST /creator/v1/rank/topEcommerceリクエストボディ
| フィールド | 型 | 必須 | 説明 |
|---|---|---|---|
filter | object | いいえ | フィルターパラメータ |
orderby | object | いいえ | ソートパラメータ |
page | integer | いいえ | ページ番号, デフォルト: 1 |
pagesize | integer | いいえ | 1ページあたりの件数, デフォルト: 10 |
page*pagesize<= 1000
pagesize範囲 [1, 100]
filter オプション値
| フィールド | 型 | 必須 | 説明 |
|---|---|---|---|
region | string | いいえ | 国/地域 |
creator_category_id | integer | いいえ | クリエイターカテゴリ |
product_category_id | integer | いいえ | 商品カテゴリ |
account_type | integer | いいえ | クリエイタータイプ 1:個人 2:ショップ |
ecommerce_type | integer | いいえ | 1:動画 2:ライブ |
date_info | object | はい | 日付情報 |
region範囲:['US','GB','MX','ES','DE','IT','FR','PT','NL','BE','AT','PL','ID','VN','MY','TH','PH','BR','JP','SG']
orderby オプション値
| フィールド | 必須 | 説明 |
|---|---|---|
creator_usd_gmv | いいえ | 総GMV(USD)(降順) |
video_usd_gmv | いいえ | 動画GMV(USD)(降順) |
live_usd_gmv | いいえ | ライブGMV(USD)(降順) |
ecommerce_typeが空の場合、デフォルトはcreator_usd_gmvで降順ソート。ecommerce_type=1の場合、デフォルトはvideo_usd_gmvで降順ソート。ecommerce_type=2の場合、デフォルトはlive_usd_gmvで降順ソート。 その他の場合、orderbyは無効です。
リクエスト例
bash
curl 'https://openapi.fastmoss.com/creator/v1/rank/topEcommerce' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
"filter": {
"region": "US",
"product_category": 1,
"date_info": {
"type": "day",
"value": "2023-02-01"
},
# "date_info": {
# "type": "week",
# "value": "2023-18"
# },
# "date_info": {
# "type": "month",
# "value": "2023-02"
# }
},
"orderby": [
{
"field": "total_gmv",
"order": "desc",
}
],
"page": 1,
"pagesize": 10
}'レスポンスボディ
data.total
- 型: integer
- 説明: 結果の総数
data.list
| フィールド | 型 | 説明 |
|---|---|---|
uid | string | クリエイターID |
follower_count | integer | クリエイターのフォロワー数 |
product_count | integer | 販売商品数 |
creator_gmv | float | クリエイター総GMV |
creator_usd_gmv | float | クリエイター総GMV(USD) |
video_count | integer | 動画数 |
video_gmv | float | 動画総GMV |
video_usd_gmv | float | 動画総GMV(USD) |
live_count | integer | ライブ配信数 |
live_gmv | float | ライブ総GMV |
live_usd_gmv | float | ライブ総GMV(USD) |
data.list.creator
| フィールド | 型 | 説明 |
|---|---|---|
uid | string | クリエイターID |
unique_id | string | クリエイターのユニークID |
nickname | string | ニックネーム |
avatar | string | クリエイターのアバターURL |
region | string | 国/地域 |
category | object | クリエイターカテゴリ |
follower_count | integer | クリエイターのフォロワー数 |
video_count | integer | 動画数 |
レスポンス例
json
{
"code": 0,
"data": {
"list": [
{
"creator": {
"uid": "6795828506624754693",
"nickname": "thebeautycrop",
"unique_id": "thebeautycrop",
"avatar": "https://s.500fd.com/tt_author/09c29664a10b2eeee9089b311a7cd8df~tplv-tiktokx-cropcenter:300:300.jpeg",
"region": "GB",
"category": {
"id": 2,
"name": "Shopping & Retail"
},
"follower_count": 238703,
"video_count": 3123
},
"follower_count": 238703,
"product_count": 96,
"creator_gmv": 20310.4,
"creator_usd_gmv": 25184.84,
"video_count": 105,
"video_gmv": 7632.68,
"video_usd_gmv": 9464.46,
"live_count": 11,
"live_gmv": 12677.72,
"live_usd_gmv": 15720.38,
"uid": "6795828506624754693",
"nickname": "thebeautycrop", //deprecated
"unique_id": "thebeautycrop", //deprecated
"avatar": "https://s.500fd.com/tt_author/09c29664a10b2eeee9089b311a7cd8df~tplv-tiktokx-cropcenter:300:300.jpeg", //deprecated
"region": "GB", //deprecated
"category": {
"id": 2,
"name": "Shopping & Retail"
} //deprecated
}
],
"total": "256",
"date_type": "week",
"date_value": "2026-03"
},
"message": "",
"timestamp": 1776165689,
"request_id": "55dc7b93-227b-de9b-2a7e-6eb7f9259555"
}